Search properties by name or value
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/properties/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchQuery": "consent",
"propertyType": "SINGLE_SELECT",
"populationId": "<string>",
"propertyGroupId": "<string>",
"pageInfo": {
"size": 10
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/properties/search"
payload = {
"searchQuery": "consent",
"propertyType": "SINGLE_SELECT",
"populationId": "<string>",
"propertyGroupId": "<string>",
"pageInfo": { "size": 10 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
searchQuery: 'consent',
propertyType: 'SINGLE_SELECT',
populationId: '<string>',
propertyGroupId: '<string>',
pageInfo: {size: 10}
})
};
fetch('https://api.rallyuxr.com/api/public/v1/properties/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"propertyId": "<string>",
"name": "<string>",
"propertyType": "SINGLE_SELECT",
"description": "<string>",
"propertyGroupId": "<string>",
"propertyOptions": [
{
"propertyOptionId": "<string>",
"name": "<string>",
"order": "1"
}
]
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Person Properties
Search properties by name or value
POST
/
properties
/
search
Search properties by name or value
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Search for properties in the workspace
Text to search for across property names and values
Minimum string length:
1Example:
"consent"
Filter results by property type
Available options:
STRING, NUMBER, DATETIME, BOOLEAN, SINGLE_SELECT, MULTI_SELECT, LOCATION Example:
"SINGLE_SELECT"
Filter results by population id
Minimum string length:
1Filter results by property group id
Minimum string length:
1Pagination arguments. Use startCursor from the result of the endCursor of the response to get the next page. Pagination in reverse is not currently supported
Show child attributes
Show child attributes
Example:
{ "size": 10 }
⌘I